ffcfstress(1)

NAME
ffcfstress - constant force stress test for force-feedback devices

SYNOPSIS
ffcfstress [-d <device>] [-u <update rate>] [-f <frequency>] [-a <amplitude>] [-s <strength>] [-x <axis>] [-A] [-o]

DESCRIPTION
ffcfstress stress tests constant non-enveloped forces on a force feedback device. It simulates a moving spring force by applying a frequently updated constant force effect.

Beware, the stress test may damage your device!

OPTIONS
At least one option is required.

-d <device>
    The device to test (by default /dev/input/event0).

-u <update rate>
    The update rate in Hz (25 by default).

-f <frequency>
    The spring center motion frequency in Hz (0.1 by default).

-a <amplitude>
    The spring center motion amplitude, between 0.0 and 1.0 (1.0 by default).

-s <strength>
    The spring strength factor (1.0 by default).

-x <axis>
    absolute axis to test (default: 0)
    [0 = X, 1 = Y, 2 = Z, 3 = RX, 4 = RY, 5 = RZ, 6 = WHEEL]

-A  switch off auto-centering

-o  Dummy option, useful when all defaults should be used.

SEE ALSO
ffmvforce(1), fftest(1), jstest(1).

AUTHOR
ffcfstress was written by Oliver Hamann.

This manual page was written by Stephen Kitt <steve@sk2.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for ffcfstress dated February 15, 2002.